<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Company</title>

    <!-- Plugin css for this page -->
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/dropify/dropify.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.css}">

    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content-wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Company </h3>
                        <nav aria-label="breadcrumb">
                          <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Branch</li>
                          </ol>
                        </nav>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">Company Branch</h4>
                            <hr>
                            <form class="forms-sample" method="post" th:action="@{/company-edit}" th:object="${companyForm}"
                            	enctype="multipart/form-data">
								
								<input type="hidden" id="companyId" th:field="*{id}"/>
                                <div class="col-lg-4 grid-margin">
                                    <div class="form-group">
                                        <label>Company Logo</label>
                                        <input type="file" class="dropify" data-height="250" name="logo"/>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-5">
                                        <label>JHT Paid by</label>
                                        <select class="js-example-basic-single" style="width:100%">
                                            <option value="employee">Employee</option>
                                            <option value="company">Company</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-5">
                                        <label>BPJS K Paid by</label>
                                        <select class="js-example-basic-single" style="width:100%">
                                            <option value="employee">Employee</option>
                                            <option value="company">Company</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-10">
                                        <label>Branch Name</label>
                                        <!-- <input type="text" class="form-control form-control-sm" name="name" id="companyName"> -->
                                        <input type="text" class="form-control form-control-sm" id="companyName" th:field="*{name}" maxlength="255" required>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-8">
                                        <label>Company Address</label>
                                        <!-- <textarea class="form-control form-control-sm" name="address" id="companyAddress" rows="2" /> -->
                                        <textarea class="form-control form-control-sm" id="companyAddress" rows="2" th:field="*{address}" maxlength="255" required />
                                    </div>
                                    <div class="col-sm-2">
                                        <label>Postal Code</label>
                                        <!-- <input type="text" class="form-control form-control-sm" name="postalCode" id="postalCode" /> -->
                                        <input type="text" class="form-control form-control-sm" id="postalCode" th:field="*{postalCode}" maxlength="5" required />
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-md-5">
                                        <label>Province</label>
                                        <select class="js-example-basic-single" style="width:100%">
                                            <option value="1">Aceh</option>
                                            <option value="2">Sumatera Barat</option>
                                            <option value="3">Sumatera Selatan</option>
                                            <option value="4">Kalimantan Tengah</option>
                                            <option value="5">Kalimantan Timur</option>
                                            <option value="6">Kalimantan Selatan</option>
                                            <option value="7">Jawa Barat</option>
                                            <option value="8">Jawa Tengah</option>
                                            <option value="9">Jawa Timur</option>
                                            <option value="10">Papua Timur</option>
                                        </select>
                                    </div>
                                    <div class="col-md-5">
                                        <label>City</label>
                                        <select class="js-example-basic-single" style="width:100%">
                                            <option value="1">Bogor</option>
                                            <option value="1">Malang</option>
                                            <option value="1">Solo</option>
                                            <option value="1">Banyuwangi</option>
                                            <option value="1">Depok</option>
                                            <option value="1">Bandung</option>
                                            <option value="1">Garut</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4">
                                        <label>Branch Phone Number</label>
                                        <input type="text" class="form-control form-control-sm">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4">
                                        <label>Branch Fax</label>
                                        <input type="text" class="form-control form-control-sm">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <div class="form-check">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input">NPWP Same with parent branch
                                            </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-7">
                                        <label>Email</label>
                                        <input type="email" class="form-control form-control-sm">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4">
                                        <label>Tax Person Name</label>
                                        <input type="text" class="form-control form-control-sm">
                                    </div>
                                    <div class="col-sm-4">
                                        <label>Tax Person NPWP</label>
                                        <input type="text" class="form-control form-control-sm">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4">
                                        <label>Branch Tax Name</label>
                                        <input type="text" class="form-control form-control-sm">
                                    </div>
                                    <div class="col-sm-4">
                                        <label>Branch NPWP</label>
                                        <input type="text" class="form-control form-control-sm">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4">
                                        <label>Kode KLU</label>
                                        <input type="text" class="form-control form-control-sm">
                                        <small style="font-size: 11px;"><a href="#">Click here</a> to learn how your company KLU Code</small>
                                    </div>
                                </div>

                                <div class="col-lg-4 grid-margin">
                                    <div class="form-group">
                                        <label>Upload your scanned signature with company stamp to be attached on 1721-A1 document</label>
                                        <input type="file" class="dropify" data-height="200" name="signature"/>
                                    </div>
                                </div>

                                <button type="submit" class="btn btn-primary btn-sm col-sm-2">Save</button>
                                <!-- <button class="btn btn-light">Cancel</button> -->
                            </form>
                        </div>
                    </div>
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- plugin js -->
    <!-- <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/js/file-upload.js}"></script> -->
    <!-- customize plugin setting -->
    <!-- <script th:src="@{assets/js/select2.js}"></script> -->
    <!-- End plugin -->

    <!-- Custom js for this page -->
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/typeahead.js/typeahead.bundle.min.js}"></script>
    <script th:src="@{assets/vendors/dropify/dropify.min.js}"></script>
    <script th:src="@{assets/vendors/jquery-file-upload/jquery.uploadfile.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.js}"></script>
    <!-- custom plugin setting -->
    <script th:src="@{assets/js/file-upload.js}"></script>
    <script th:src="@{assets/js/typeahead.js}"></script>
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/js/dropify.js}"></script>

    <!-- js validation plugin -->
    <script th:src="@{assets/vendors/jquery-validation/jquery.validate.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-maxlength/bootstrap-maxlength.min.js}"></script>

    <script th:src="@{assets/js/form-validation.js}"></script>
    <script th:src="@{assets/js/bt-maxLength.js}"></script>
    <script th:src="@{assets/customJs/company-profile.js}"></script>
    <script>
        $('.datepicker').datepicker({
			format : 'dd MM, yyyy',
        });
    </script>
    <!-- end plugin -->

</body>

</html>